Loading...
Searching...
No Matches
AsyncProducers.h File Reference

Defines the lowering pass that injects task parallelism for producers that are scheduled as async. More...

`#include <map>`
`#include <string>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::fork_async_producers (Stmt s, const std::map< std::string, Function > &env)

## Detailed Description

Defines the lowering pass that injects task parallelism for producers that are scheduled as async.

Definition in file AsyncProducers.h.